{{- if .Values.application }}
{{- $root := . -}}
{{- range $application := .Values.application.name }}
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: {{ $root.Values.PrefixApplication }}-{{ $application }}
  namespace: argocd
spec:
  project: {{ $root.Values.project }}
  source:
    repoURL: {{ $root.Values.source.repoURL }}
    targetRevision: {{ $root.Values.source.targetRevision }}
    path: {{ $root.Values.application.backend.path }}/{{ $application }}
    helm:
      releaseName: {{ $application }}
      valueFiles:
      - {{ $root.Values.ValuesFile }}
      version: v3
  destination:
    server: {{ $root.Values.destination.server }}
    namespace: {{ $root.Values.destination.namespace }}
  syncPolicy:
    {{- toYaml $root.Values.syncPolicy | nindent 4 }}
{{- end }}
{{- end }}
